Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.franz.agbase
Class NTriplesSerializer

    java.lang.Object
      com.franz.agbase.AllegroGraphSerializer
          com.franz.agbase.NTriplesSerializer

    public class NTriplesSerializer

extends AllegroGraphSerializer

The N-Triples serializer is described in more detail in the AllegroGraph Reference Guide for Lisp users as the print-triples function.

Constructor Summary
`NTriplesSerializer()`

Method Summary
`java.lang.Object` | `getBaseURI()` Query the BaseURI option.
`java.lang.String` | `getFormat()`
`java.lang.Object` | `getIfDoesNotExist()`
`java.lang.Object` | `getIfExists()`
`void` | `setBaseURI(java.lang.Object base)` Set the BaseURI option.
`void` | `setFormat(java.lang.String format)`
`void` | `setIfDoesNotExist(java.lang.String ifDoesNotExist)`
`void` | `setIfExists(java.lang.String ifExists)`

Methods inherited from class com.franz.agbase.AllegroGraphSerializer
`getDestination, getResult, getSource, run, run, setDestination`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NTriplesSerializer

    public NTriplesSerializer()

Method Detail

### getIfDoesNotExist

    public java.lang.Object getIfDoesNotExist()

  Returns:
    the ifDoesNotExist

### setIfDoesNotExist

    public void setIfDoesNotExist(java.lang.String ifDoesNotExist)

  Parameters:
    `ifDoesNotExist` - the ifDoesNotExist to set. The allowed values are "create" or "error". The default is "create".

### getIfExists

    public java.lang.Object getIfExists()

  Returns:
    the ifExists

### setIfExists

    public void setIfExists(java.lang.String ifExists)

  Parameters:
    `ifExists` - the ifExists to set. The valid values are "error", "supersede", or "append. The default is "error".

### getFormat

    public java.lang.String getFormat()

  Returns:
    the format

### setFormat

    public void setFormat(java.lang.String format)

  Parameters:
    `format` - the format to set. The valid values are "ntriples", "long", or "concise". The default is "ntriples".

### getBaseURI

    public java.lang.Object getBaseURI()

  Query the BaseURI option.

  Returns:
    the BaseURI option value.

### setBaseURI

    public void setBaseURI(java.lang.Object base)

  Set the BaseURI option.

  Parameters:
    `base` -
    - If null (the initial default), do not generate a BaseURI comment.
    - If a string, assume it is a valid URI and use it as the value of the generated BaseURI comment.
    - If a UPI or Value instance, assume it denotes a URI and use it as the value of the generated BaseURI comment.
    - If an AllegroGraph instance, use the UUID associated with the store as the value of the generated BaseURI comment.
    - If boolean true, generate a new UUID and use it as the value of the generated BaseURI comment.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD